# Uses of Interface
org.eclipse.jdt.core.compiler.IProblem

Packages that use IProblem
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.core.compiler
This package contains compiler associated infrastructure APIs.
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.
org.eclipse.jdt.ui.text.java
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of IProblem in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core with parameters of type IProblem
Modifier and Type
Method
Description
`void`
CompletionRequestorAdapter.`acceptError(IProblem error)`
Deprecated.
`void`
ICompletionRequestor.`acceptError(IProblem error)`
Deprecated.
Use `CompletionRequestor.completionFailure(IProblem)` instead.
`void`
IProblemRequestor.`acceptProblem(IProblem problem)`
Notification of a Java problem.
`void`
CompletionRequestor.`completionFailure(IProblem problem)`
Notification of failure to produce any completions.
`void`
CorrectionEngine.`computeCorrections(IProblem problem, ICompilationUnit targetUnit, ICorrectionRequestor requestor)`
Performs code correction for the given IProblem, reporting results to the given correction requestor.

## Uses of IProblem in org.eclipse.jdt.core.compiler

Classes in org.eclipse.jdt.core.compiler that implement IProblem
Modifier and Type
Class
Description
`class`
`CategorizedProblem`
Richer description of a Java problem, as detected by the compiler or some of the underlying technology reusing the compiler.

## Uses of IProblem in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return IProblem
Modifier and Type
Method
Description
`IProblem[]`
CompilationUnit.`getProblems()`
Returns the list of detailed problem reports noted by the compiler during the parsing or the type checking of this compilation unit.

## Uses of IProblem in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation that return IProblem
Modifier and Type
Method
Description
`IProblem`
OrganizeImportsOperation.`getParseError()`
After executing the operation, returns `null` if the operation has been executed successfully or the range where parsing failed.

## Uses of IProblem in org.eclipse.jdt.ui.text.java

Methods in org.eclipse.jdt.ui.text.java with parameters of type IProblem
Modifier and Type
Method
Description
`void`
CompletionProposalCollector.`completionFailure(IProblem problem)`
Notification of failure to produce any completions.